<?xml version="1.0" standalone="yes" ?>
<?xml-stylesheet href="x2script.xsl" type="text/xsl" ?>
<script>
<name>plugin.Xai.JNCS.cmd.toPosition</name>
<version>1</version>
<engineversion>25</engineversion>
<description>Move to a sector position using Xai Nav libs</description>
<arguments>
<argument index="1" name="position" type="Var/Sector Position" desc="Select Position" />
</arguments>
<sourcetext>
<line linenr="001" indent=""><comment><text>*&#160;</text><var>Created&#160;by&#160;Xai&#160;Corporation,&#160;764</var></comment></line>
<line linenr="002" indent=""><comment><text>*&#160;</text><var>Part&#160;of&#160;JNCS</var></comment></line>
<line linenr="003" indent=""><comment><text>*&#160;</text><var></var></comment></line>
<line linenr="004" indent=""></line>
<line linenr="005" interruptable="@" indent=""><var>=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>plugin.Xai.lib.fly.toPosition</call><text>&#160;:&#160;</text><text>&#160;Sector&#160;Position=</text><var>$position</var><text>&#160;</text><text>&#160;Timeout=</text><var>null</var><text>&#160;</text><text>&#160;Use&#160;Safe&#160;Route=</text><var>[TRUE]</var><text>&#160;</text><text>&#160;Active&#160;Scans=</text><var>[TRUE]</var></line>
<line linenr="006" indent=""></line>
<line linenr="007" interruptable="@" indent=""><var>$msg&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>plugin.Xai.lib.AP.message</call><text>&#160;:&#160;</text><text>&#160;Message&#160;Number=</text><var>18</var><text>&#160;</text><text>&#160;Arg&#160;1=</text><var>null</var><text>&#160;</text><text>&#160;Arg&#160;2=</text><var>[SECTOR]</var><text>&#160;</text><text>&#160;Arg&#160;3=</text><var>null</var><text>&#160;</text><text>&#160;Arg&#160;4=</text><var>null</var><text>&#160;</text><text>&#160;Arg&#160;5=</text><var>null</var></line>
<line linenr="008" indent=""><text>write&#160;to&#160;player&#160;logbook&#160;</text><var>$msg</var></line>
<line linenr="009" indent=""><text>play&#160;sample:&#160;incoming&#160;transmission&#160;</text><var>[IncomingTransmission.Greeting]</var><text>,&#160;from&#160;object&#160;</text><var>[THIS]</var></line>
<line linenr="010" interruptable="@" indent=""><var>=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>plugin.Xai.JNCS.cmd.stay</call><text>&#160;:&#160;</text></line>
<line linenr="011" indent=""><text>return&#160;</text><var>null</var></line>
</sourcetext>
<codearray>
<sval type="array" size="10"><sval type="string" val="plugin.Xai.JNCS.cmd.toPosition" /><sval type="int" val="25" /><sval type="string" val="Move to a sector position using Xai Nav libs" /><sval type="int" val="1" /><sval type="int" val="0" /><sval type="array" size="2"><sval type="string" val="position" /><sval type="string" val="msg" /></sval><sval type="array" size="6"><sval type="array" size="14"><sval type="int" val="102" /><sval type="string" val="plugin.Xai.lib.fly.toPosition" /><sval type="int" val="-2147483647" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="4" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="131075" /><sval type="int" val="10" /><sval type="int" val="131075" /><sval type="int" val="10" /></sval><sval type="array" size="18"><sval type="int" val="102" /><sval type="string" val="plugin.Xai.lib.AP.message" /><sval type="int" val="1" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="6" /><sval type="int" val="4" /><sval type="int" val="18" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="131075" /><sval type="int" val="65542" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="3"><sval type="int" val="400" /><sval type="int" val="131074" /><sval type="int" val="1" /></sval><sval type="array" size="5"><sval type="int" val="201" /><sval type="int" val="131075" /><sval type="int" val="302" /><sval type="int" val="131075" /><sval type="int" val="65536" /></sval><sval type="array" size="6"><sval type="int" val="102" /><sval type="string" val="plugin.Xai.JNCS.cmd.stay" /><sval type="int" val="-2147483647" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="0" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="0" /><sval type="int" val="0" /></sval></sval><sval type="array" size="1"><sval type="array" size="2"><sval type="int" val="52" /><sval type="string" val="Select Position" /></sval></sval><sval type="array" size="5"><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="Created by Xai Corporation, 764" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="Part of JNCS" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="" /></sval><sval type="array" size="2"><sval type="int" val="0" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="1" /><sval type="int" val="2" /></sval></sval><sval type="int" val="212" /></sval>
</codearray>
</script>
